
Redmine - Defect #3618

KW’s are not following ISO8601 > http://en.wikipedia.org/wiki/ISO_8601#Week_dates

2009-07-15 19:10 - Network Administrator

Status: Closed Start date: 2009-07-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.8.4

Description

The Calendar Weeks (KW) are not corrent, pre ISO8601.

The Calendar Weeks, as they are currently displayed in our Redmine installation (see system specs below) are one week behind;

What is KW28 per ISO8601, is marked as KW27.

SYSTEM INFORMATION:

Ubuntu Jaunty (9.04)

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.4

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /home/vhosts/redmine

Environment               development

Database adapter          mysql

mysql  Ver 14.12 Distrib 5.0.75, for debian-linux-gnu (x86_64) using readline 5.2

Related issues:

Is duplicate of Redmine - Defect #2462: Incorrect Week Number in Spent Time R... Closed 2009-01-07

History

#1 - 2009-07-15 23:01 - Mischa The Evil

- Resolution deleted (Invalid)

Added relation to #2462.

#2 - 2010-07-19 22:50 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate
